## gate.creole
Class AbstractProcessingResource.IntervalProgressListener

    java.lang.Object
      |
      +--gate.creole.AbstractProcessingResource.IntervalProgressListener

All Implemented Interfaces:
  EventListener, ProgressListener

Enclosing class:
  AbstractProcessingResource

protected class AbstractProcessingResource.IntervalProgressListener
extends Object
implements ProgressListener

A progress listener used to convert a 0..100 interval into a smaller one

Field Summary
`(package private) int` `end`
`(package private) int` `start`

Constructor Summary
`AbstractProcessingResource.IntervalProgressListener(int start, int end)`

Method Summary
`void` `processFinished()` Called when the process is finished.
`void` `progressChanged(int i)` Called when the progress has changed

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### start

    int start

### end

    int end

Constructor Detail

### AbstractProcessingResource.IntervalProgressListener

    public AbstractProcessingResource.IntervalProgressListener(int start,
                                                               int end)

Method Detail

### progressChanged

    public void progressChanged(int i)

  Description copied from interface: `ProgressListener`
  Called when the progress has changed
  Specified by:
    `progressChanged` in interface `ProgressListener`
  Following copied from interface: `gate.event.ProgressListener`
  Parameters:
    `i` -

### processFinished

    public void processFinished()

  Description copied from interface: `ProgressListener`
  Called when the process is finished.
  Specified by:
    `processFinished` in interface `ProgressListener`